Strophe 0.9 XMPP client library

Data Structures | Functions
thread.c File Reference

Thread absraction. More...

## Data Structures
struct | mutex_t

## Functions
mutex_t * | mutex_create (const xmpp_ctx_t *ctx)
int | mutex_destroy (mutex_t *mutex)
int | mutex_lock (mutex_t *mutex)
int | mutex_trylock (mutex_t *mutex)
int | mutex_unlock (mutex_t *mutex)

## Detailed Description

Thread absraction.

## Function Documentation

## ◆ mutex_create()

mutex_t* mutex_create | ( | const xmpp_ctx_t * | ctx | ) |

## ◆ mutex_destroy()

int mutex_destroy | ( | mutex_t * | mutex | ) |

## ◆ mutex_lock()

int mutex_lock | ( | mutex_t * | mutex | ) |

## ◆ mutex_trylock()

int mutex_trylock | ( | mutex_t * | mutex | ) |

## ◆ mutex_unlock()

int mutex_unlock | ( | mutex_t * | mutex | ) |